#!/bin/bash
# увеличение прозрачности и уменьшение размеров изображения,
# перемещение полученного изображения в основную папку темы
#-------------------------------------------------------------------------;
master="compilation.png"   # оригинальное изображение
output="background.png"    # обработанное изображение
alpha="0.04"               # процент прозрачности
time_ms="$(date '+%s%3N')" # текущее время в миллисекундах
#-------------------------------------------------------------------------;
# удаление альфа-канала — замена прозрачности на белый цвет фона
convert -verbose $master -background white -alpha remove -alpha on $output
# обход всех оттенков серого и составление строки для замены
for i in {0..255}; do
  param+=" -fill rgba($i,$i,$i,$alpha) -opaque rgb($i,$i,$i)"
done
# добавление альфа-канала — замена непрозрачных пикселей на прозрачные
convert -verbose $output -channel rgba $param $output
# уменьшение размеров изображения и удаление текстовых метаданных
convert -verbose $output -resize 240x200 -strip $output
# перемещение полученного изображения в основную папку темы
mv -vf $output ../jekyll_theme/assets/img
#-------------------------------------------------------------------------;
echo "Общее время выполнения: $(($(date '+%s%3N') - time_ms)) мс."
